<?php
	include("../Funciones.php");
	include("../funcion/funciones.php");
  	include("../clases/BDConexion.php");
  	include("../clases/clsclinico.php");
	session_start();
  	$objclinico = new clsclinico;
	$fecha=extraerfechamysql($fecha);
	$cod_transfer_ultimo=$objclinico->GrabarTransferCab($num_transfer,$fecha,$origen,$locacion,$num_guia,$obser,$partida,$llegada,$ruc,$razon,$marca_placa,$licencia,$movi);
		
	if (isset($medicina_transfer)){
  	while(list($clave,$valor)=each($medicina_transfer)){
		
		$cod_medi=$valor[0];
		$medicina=$valor[1];
		$cantidad=$valor[2];
		$um=$valor[3];
		$costo=$valor[4];
		
		$objclinico->GrabarTransferDet($cod_transfer_ultimo,$cod_medi,$cantidad,$um,$costo);		
		
		$res = $objclinico->DevolverUltimoProcesoKardexMed($cod_medi);
	 	if($fila=$objclinico->NextRow($res)){				
				
				$saldoActual  =  $fila['saldo_actual'];
				$saldoini=$saldoActual;
				$saldofin=$saldoActual-$cantidad;
	     		} else{
				$resmedica = $objclinico->DevolverUltimoProcesoKardexMedicina($cod_medi);
				$filamedica=$objclinico->NextRow($resmedica);
				 $saldoini = $filamedica['stock'];
				 $ingreso = 0;
				 $salida = $cantidad;				 
				 $saldofin = $saldoini - $salida;
				 } 
				 				 
		 $objclinico->InsertarKardexTransfer($cod_medi,$saldoini,0,$cantidad,$saldofin,$fecha,'G',$num_guia,$costo,$movi,$um,$origen,$locacion);
		 $objclinico->UpdateStockMedicina1($cod_medi,$saldofin); 
		 }
	}
	$objclinico->ActalizaNumPedMed($num_transfer,'num_transfer');
Redirigir("../um_transfer_med.php?borrar=1&aler=1"); 
?>